# IAsyncTypewriter

Interface in [Yarn.Unity](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity)

## Summary

An object that can handle delivery of a line's text over time.

```csharp
public interface IAsyncTypewriter
```

## Methods

| Name                                                                                                                                                                                      | Description                                                                                                                                       |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| [ContentWillDismiss()](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter/yarn.unity.iasynctypewriter.contentwilldismiss)                                 | Called right before the content will be visibly hidden                                                                                            |
| [PrepareForContent(Markup.MarkupParseResult)](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter/yarn.unity.iasynctypewriter.prepareforcontent)           | Called by the presenter before content has been shown. This gives the typewriter it's chance to do any setup before the content is visibly shown. |
| [RunTypewriter(Markup.MarkupParseResult,CancellationToken)](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter/yarn.unity.iasynctypewriter.runtypewriter) | Displays the contents of a line over time.                                                                                                        |

## Properties

| Name                                                                                                                                                        | Description                                                                                   |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------- |
| [ActionMarkupHandlers](https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter/yarn.unity.iasynctypewriter.actionmarkuphandlers) | The list of action markup handlers that this typewriter should call out to while typewriting. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/3.1/api/csharp/yarn.unity/yarn.unity.iasynctypewriter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
